<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AutoDownloadSettings extends \Google\Protobuf\Internal\Message
{
    


    protected $downloadImages = null;
    


    protected $downloadAudio = null;
    


    protected $downloadVideo = null;
    


    protected $downloadDocuments = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDownloadImages()
    {
        return isset($this->downloadImages) ? $this->downloadImages : false;
    }

    public function hasDownloadImages()
    {
        return isset($this->downloadImages);
    }

    public function clearDownloadImages()
    {
        unset($this->downloadImages);
    }

    




    public function setDownloadImages($var)
    {
        GPBUtil::checkBool($var);
        $this->downloadImages = $var;

        return $this;
    }

    



    public function getDownloadAudio()
    {
        return isset($this->downloadAudio) ? $this->downloadAudio : false;
    }

    public function hasDownloadAudio()
    {
        return isset($this->downloadAudio);
    }

    public function clearDownloadAudio()
    {
        unset($this->downloadAudio);
    }

    




    public function setDownloadAudio($var)
    {
        GPBUtil::checkBool($var);
        $this->downloadAudio = $var;

        return $this;
    }

    



    public function getDownloadVideo()
    {
        return isset($this->downloadVideo) ? $this->downloadVideo : false;
    }

    public function hasDownloadVideo()
    {
        return isset($this->downloadVideo);
    }

    public function clearDownloadVideo()
    {
        unset($this->downloadVideo);
    }

    




    public function setDownloadVideo($var)
    {
        GPBUtil::checkBool($var);
        $this->downloadVideo = $var;

        return $this;
    }

    



    public function getDownloadDocuments()
    {
        return isset($this->downloadDocuments) ? $this->downloadDocuments : false;
    }

    public function hasDownloadDocuments()
    {
        return isset($this->downloadDocuments);
    }

    public function clearDownloadDocuments()
    {
        unset($this->downloadDocuments);
    }

    




    public function setDownloadDocuments($var)
    {
        GPBUtil::checkBool($var);
        $this->downloadDocuments = $var;

        return $this;
    }

}

